//
//  CEPhotoCollectionViewCell.swift
//  PhotoAlbumDemo01
//
//  Created by 张延深 on 2016/6/20.
//  Copyright © 2016年 宜信. All rights reserved.
//  用于显示照片的collectionViewCell

import UIKit

//protocol CEPhotoCollectionViewCellDelegate {
//    optional func CEPhotoCollectionViewCell(cell: CEPhotoCollectionViewCell, didSelectPhotoAtIndexPath indexPath: NSIndexPath)
//}

class CEPhotoCollectionViewCell: UICollectionViewCell {
    
    @IBOutlet weak var imageView: UIImageView!
    @IBOutlet weak var selectButton: UIButton!
    
    var selectPhotoClosure: (()->Void)?
    
    var photoModel: CEPhotoModel = CEPhotoModel() {
        didSet {
            imageView.image = UIImage(CGImage: photoModel.asset.thumbnail().takeUnretainedValue())
            selectButton.selected = photoModel.isSelected
        }
    }
    
    @IBAction func selectPhoto(sender: UIButton) {
        if let selectPhotoClosure = self.selectPhotoClosure {
            selectPhotoClosure()
        }
    }
}
